searchData={"items":[{"type":"module","title":"Keywords","doc":"Documentation for `KeywordParser`.","ref":"Keywords.html"},{"type":"function","title":"Keywords.kill_pattern/1","doc":"Removes pattern by name.","ref":"Keywords.html#kill_pattern/1"},{"type":"function","title":"Examples - Keywords.kill_pattern/1","doc":"iex> Keywords.kill_pattern(:stocks)\n    {:ok, :stocks}\n    iex> Keywords.kill_pattern(:stocks)\n    {:error, :not_found}","ref":"Keywords.html#kill_pattern/1-examples"},{"type":"function","title":"Keywords.new_pattern/3","doc":"Generates new keyword-pattern for parsing strings from a list of keywords.\n\nopts\n-> case_sensitive: true/false\n-> substrings: true/false\ndefaults -> case_sensitive: false, substrings: false","ref":"Keywords.html#new_pattern/3"},{"type":"function","title":"Examples - Keywords.new_pattern/3","doc":"iex> Keywords.new_pattern(:stocks, [\"TSLA\", \"XOM\", \"AMZN\"])\n    {:ok, :stocks}\n    iex> Keywords.new_pattern(:stocks, [\"TSLA\", \"XOM\", \"AMZN\"])\n    {:error, :already_started}","ref":"Keywords.html#new_pattern/3-examples"},{"type":"function","title":"Keywords.parse/3","doc":"Parses tickers from string\n\nopts\n-> counts: true/false (include total occurrences of each keyword)\n-> aggregate: true/false (group results by pattern name)\ndefaults -> counts: false, aggregate: true","ref":"Keywords.html#parse/3"},{"type":"function","title":"Examples - Keywords.parse/3","doc":"iex> Keywords.parse(\" XOM AAPL $TSLA buy now, ++ PLTR and $AMZN\", :stocks)\n    [XOM, AAPL, TSLA, PLTR, AMZN]\n\n    iex> Keywords.parse(\" XOM AAPL $TSLA buy now, ++ PLTR and $AMZN\", :stocks_2)\n    [\"AAPL\", \"PLTR\"]\n\n    iex> Keywords.parse(\" XOM AAPL $TSLA buy now, ++ PLTR and $AMZN\", [:stocks, :stocks_2])\n    [\"AAPL\", \"PLTR\", XOM, TSLA, PLTR, AMZN]\n\n    iex> Keywords.parse(\" XOM AAPL AMZN $TSLA buy now, ++ PLTR and $AMZN\", :all)\n    [\"XOM\", \"AMZN\", \"TSLA\", \"AAPL\", \"PLTR\"]\n\n    iex> Keywords.parse(\" XOM AAPL AMZN $TSLA buy now, ++ PLTR and $AMZN\", :stocks, [counts: true])\n    [{\"AMZN\", 2}, {\"TSLA\", 1}, {\"XOM\", 1}]\n\n    iex> Keywords.parse(\" XOM AAPL AMZN $TSLA buy now, ++ PLTR and $AMZN\", [:stocks, :stocks_2], [counts: true])\n    [{\"AAPL\", 1}, {\"AMZN\", 2}, {\"PLTR\", 1}, {\"TSLA\", 1}, {\"XOM\", 1}]\n\n    iex> Keywords.parse(\" XOM AAPL AMZN $TSLA buy now, ++ PLTR and $AMZN\", [:stocks, :stocks_2], [counts: true, aggregate: false])\n    [stocks: [{\"AMZN\", 2}, {\"TSLA\", 1}, {\"XOM\", 1}], stocks_2: [{\"AAPL\", 1}, {\"PLTR\", 1}]]\n\n    iex> Keywords.parse(\" XOM AAPL AMZN $TSLA buy now, ++ PLTR and $AMZN\", [:stocks, :stocks_2], [aggregate: false])\n    [stocks: [\"XOM\", \"AMZN\", \"TSLA\"], stocks_2: [\"AAPL\", \"PLTR\"]]\n\n    iex> Keywords.parse(\"a|n[xwn;qw%dl$qm*w\", :stocks)\n    []\n\n    iex> Keywords.parse(nil, :stocks)\n    []","ref":"Keywords.html#parse/3-examples"},{"type":"function","title":"Keywords.pattern_exists?/1","doc":"Checks if pattern exists.","ref":"Keywords.html#pattern_exists?/1"},{"type":"function","title":"Examples - Keywords.pattern_exists?/1","doc":"iex> Keywords.pattern_exists?(:stocks)\n    true\n    iex> Keywords.pattern_exists?(:stonks)\n    false","ref":"Keywords.html#pattern_exists?/1-examples"},{"type":"function","title":"Keywords.update_pattern/2","doc":"Updates a keyword-pattern.","ref":"Keywords.html#update_pattern/2"},{"type":"function","title":"Examples - Keywords.update_pattern/2","doc":"iex> Keywords.update_pattern(:stocks, [\"TSLA\", \"XOM\", \"AMZN\"])\n    {:ok, :stocks}\n    iex> Keywords.update_pattern(:stonks, [\"TSLA\", \"XOM\", \"AMZN\"])\n    {:error, :pattern_not_found}","ref":"Keywords.html#update_pattern/2-examples"},{"type":"module","title":"Keywords.Pattern","doc":"","ref":"Keywords.Pattern.html"},{"type":"function","title":"Keywords.Pattern.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"Keywords.Pattern.html#child_spec/1"},{"type":"function","title":"Keywords.Pattern.get/1","doc":"","ref":"Keywords.Pattern.html#get/1"},{"type":"function","title":"Keywords.Pattern.start_link/1","doc":"","ref":"Keywords.Pattern.html#start_link/1"},{"type":"function","title":"Keywords.Pattern.update/2","doc":"","ref":"Keywords.Pattern.html#update/2"},{"type":"module","title":"Parser","doc":"","ref":"Parser.html"},{"type":"function","title":"Parser.find_matches/2","doc":"","ref":"Parser.html#find_matches/2"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}